mod grpc;
mod datastore;
mod http_server;

use tokio::task::JoinSet;

#[tokio::main]
async fn main() {
    let mut long_term_tasks = JoinSet::new();

    long_term_tasks.spawn(http_server::init());

    long_term_tasks.join_next().await;
    println!("Shutting down...");
}

